Skip to main content
POST
List repositories with dependencies

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Body

application/json
deploymentId
string<int64>

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

dependencyFilter
object

Object to provide dependency details to filter by.

cursor
integer<int64>

Use cursor in response to get next page of results.

pageSize
integer<int64>
default:5

Number of repositories per page.

Required range: 1 <= x <= 100
Example:

100

Response

200 - application/json

OK

repositorySummaries
object[]

List of repositories.

hasMore
boolean

True if there are more repositories to get.

cursor
integer<int64>

Pass to next request to get next page of results.